com.google.gwt.dom.builder.shared

## Interface TableCellBuilder

- All Superinterfaces:
    ElementBuilderBase<TableCellBuilder>
  All Known Implementing Classes:
    DomTableCellBuilder, HtmlTableCellBuilder

      public interface TableCellBuilder
      extends ElementBuilderBase<TableCellBuilder>

  Builds an tablecell element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableCellBuilder` | `align(java.lang.String align)` Horizontal alignment of data in cell.
    `TableCellBuilder` | `ch(java.lang.String ch)` Alignment character for cells in a column.
    `TableCellBuilder` | `chOff(java.lang.String chOff)` Offset of alignment character.
    `TableCellBuilder` | `colSpan(int colSpan)` Number of columns spanned by cell.
    `TableCellBuilder` | `headers(java.lang.String headers)` List of id attribute values for header cells.
    `TableCellBuilder` | `rowSpan(int rowSpan)` Number of rows spanned by cell.
    `TableCellBuilder` | `vAlign(java.lang.String vAlign)` Vertical alignment of data in cell.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### align

          TableCellBuilder align(java.lang.String align)

      Horizontal alignment of data in cell.
      See Also:
        W3C HTML Specification

    - #### ch

          TableCellBuilder ch(java.lang.String ch)

      Alignment character for cells in a column.
      See Also:
        W3C HTML Specification

    - #### chOff

          TableCellBuilder chOff(java.lang.String chOff)

      Offset of alignment character.
      See Also:
        W3C HTML Specification

    - #### colSpan

          TableCellBuilder colSpan(int colSpan)

      Number of columns spanned by cell.
      See Also:
        W3C HTML Specification

    - #### headers

          TableCellBuilder headers(java.lang.String headers)

      List of id attribute values for header cells.
      See Also:
        W3C HTML Specification

    - #### rowSpan

          TableCellBuilder rowSpan(int rowSpan)

      Number of rows spanned by cell.
      See Also:
        W3C HTML Specification

    - #### vAlign

          TableCellBuilder vAlign(java.lang.String vAlign)

      Vertical alignment of data in cell.
      See Also:
        W3C HTML Specification